@echo off

@REM # desired name of the archive file #
SET v="Multicharts_Databases_archived"

@REM # Creating list of files to be archived
dir "%ALLUSERSPROFILE%\Application Data\TS Support\Multicharts\Databases\" /B /S >%TMP%\backup.lst

@REM # Create an archive with files from the list or add files if archive already exists
%HOMEDRIVE%\Progra~1\WinRar\rar.exe a "%HOMEPATH%\My Documents\%v%" -ep3 -rr @%TMP%\backup.lst

@REM ########## Delete temporary files
@del %TMP%\backup.lst




@rem ########################################################################
@rem ###                        EVERYTHING BELOW THIS LINE IS JUST TO CREATE A                                         #
@rem ###                    BRIEF COMMENT W/TIMESTAMP AND ADD IT TO THE ARCHIVE                                  #
@rem ########################################################################
 
@REM # get current date/time. supports yyyy-dd-mm, yyyy-mm-dd, mm-dd-yyyy, and dd-mm-yyyy #
@rem # doesn't rely on dashes vs slashes #

for /f "tokens=1* delims= " %%a in ('date/t') do set dayname=%%a
for /f "tokens=1* delims= " %%a in ('date/t') do set mmddyyyy=%%a
for /f "tokens=1* delims=/" %%a in ('echo %mmddyyyy%') do set day=%%a
for /f "tokens=2* delims=/" %%a in ('echo %mmddyyyy%') do set month=%%a
for /f "tokens=3* delims=/" %%a in ('echo %mmddyyyy%') do set year=%%a
for /f "tokens=1* delims=:" %%a in ('echo %time%') do set hour=%%a
for /f "tokens=2* delims=:" %%a in ('echo %time%') do set mins=%%a
for /f "tokens=3* delims=:" %%a in ('echo %time%') do set sec=%%a
for /f "tokens=1* delims=." %%a in ('echo %sec%') do set secs=%%a
for /f "tokens=2* delims=." %%a in ('echo %sec%') do set mili=%%a

@REM # date and time variables #
@REM echo day =%day%
@REM echo month=%month%
@REM echo year =%year%
@REM echo hour =%hour%
@REM echo mins =%mins%
@REM echo secs =%secs%
@REM echo mili =%mili%

@REM # Month translation #
SET v0=%month%
SET map=01-January;02-Febuary;03-March;04-April;05-May;06-June;07-July;08-August;09-September;10-October;11-November;12-December
CALL SET v0=%%map:*%v0%-=%%
SET v0=%v0:;=&rem.%

@REM # Day translation #
SET v1=%day%
SET map=01-1st;02-2nd;03-3rd;04-4th;05-5th;06-6th;07-7th;08-8th;09-9th;10-10th;11-11th;12-12th;13-13th;14-14th;15-15th;16-16th;17-17th;18-18th;19-19th;20-20th;21-21st;22-22nd;23-23rd;24-24th;25-25th;26-26th;27-27th;28-28th;29-29th;30-30th;31-31st
CALL SET v1=%%map:*%v1%-=%%
SET v1=%v1:;=&rem.%

@REM # get hours and minutes #
SET v2=%time:~0,5%

@REM # Generate the comment file for adding to archive #

@echo. All the Data for all the symbols ever collected by multicharts. Archived %v0% %v1%, %year% at%v2% > %TMP%\backup.cmt

@REM # Add comment to archive #
%HOMEDRIVE%\Progra~1\WinRar\rar.exe c -z%TMP%\backup.cmt "%HOMEPATH%\My Documents\%v%"

@REM # Delete temporary files #
@del %TMP%\backup.cmt


